// File created from ../../../src/bin/resolver/resolver_messages.mes on Fri Jun 07 2013 10:17

#ifndef RESOLVER_MESSAGES_H
#define RESOLVER_MESSAGES_H

#include <log/message_types.h>

extern const isc::log::MessageID RESOLVER_AXFR_TCP;
extern const isc::log::MessageID RESOLVER_AXFR_UDP;
extern const isc::log::MessageID RESOLVER_CLIENT_TIME_SMALL;
extern const isc::log::MessageID RESOLVER_CONFIG_CHANNEL;
extern const isc::log::MessageID RESOLVER_CONFIG_ERROR;
extern const isc::log::MessageID RESOLVER_CONFIG_LOADED;
extern const isc::log::MessageID RESOLVER_CONFIG_UPDATED;
extern const isc::log::MessageID RESOLVER_CREATED;
extern const isc::log::MessageID RESOLVER_DNS_MESSAGE_RECEIVED;
extern const isc::log::MessageID RESOLVER_DNS_MESSAGE_SENT;
extern const isc::log::MessageID RESOLVER_FAILED;
extern const isc::log::MessageID RESOLVER_FORWARD_ADDRESS;
extern const isc::log::MessageID RESOLVER_FORWARD_QUERY;
extern const isc::log::MessageID RESOLVER_HEADER_PROCESSING_FAILED;
extern const isc::log::MessageID RESOLVER_IXFR;
extern const isc::log::MessageID RESOLVER_LOOKUP_TIME_SMALL;
extern const isc::log::MessageID RESOLVER_MESSAGE_PROCESSING_FAILED;
extern const isc::log::MessageID RESOLVER_NEGATIVE_RETRIES;
extern const isc::log::MessageID RESOLVER_NON_IN_PACKET;
extern const isc::log::MessageID RESOLVER_NORMAL_QUERY;
extern const isc::log::MessageID RESOLVER_NOTIFY_RECEIVED;
extern const isc::log::MessageID RESOLVER_NOT_ONE_QUESTION;
extern const isc::log::MessageID RESOLVER_NO_ROOT_ADDRESS;
extern const isc::log::MessageID RESOLVER_PRINT_COMMAND;
extern const isc::log::MessageID RESOLVER_PROTOCOL_BODY_PARSE_FAILED;
extern const isc::log::MessageID RESOLVER_QUERY_ACCEPTED;
extern const isc::log::MessageID RESOLVER_QUERY_DROPPED;
extern const isc::log::MessageID RESOLVER_QUERY_REJECTED;
extern const isc::log::MessageID RESOLVER_QUERY_SETUP;
extern const isc::log::MessageID RESOLVER_QUERY_SHUTDOWN;
extern const isc::log::MessageID RESOLVER_QUERY_TIME_SMALL;
extern const isc::log::MessageID RESOLVER_RECEIVED_MESSAGE;
extern const isc::log::MessageID RESOLVER_RECURSIVE;
extern const isc::log::MessageID RESOLVER_SERVICE_CREATED;
extern const isc::log::MessageID RESOLVER_SET_PARAMS;
extern const isc::log::MessageID RESOLVER_SET_QUERY_ACL;
extern const isc::log::MessageID RESOLVER_SET_ROOT_ADDRESS;
extern const isc::log::MessageID RESOLVER_SHUTDOWN;
extern const isc::log::MessageID RESOLVER_SHUTDOWN_RECEIVED;
extern const isc::log::MessageID RESOLVER_STARTED;
extern const isc::log::MessageID RESOLVER_STARTING;
extern const isc::log::MessageID RESOLVER_UNEXPECTED_RESPONSE;
extern const isc::log::MessageID RESOLVER_UNSUPPORTED_OPCODE;

#endif // RESOLVER_MESSAGES_H
