// File created from ../../../../src/lib/datasrc/memory/memory_messages.mes on Fri Jun 07 2013 10:16

#ifndef MEMORY_MESSAGES_H
#define MEMORY_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace datasrc {
namespace memory {

extern const isc::log::MessageID DATASRC_MEMORY_BAD_NSEC3_NAME;
extern const isc::log::MessageID DATASRC_MEMORY_CHECK_ERROR;
extern const isc::log::MessageID DATASRC_MEMORY_CHECK_WARNING;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_RRSET;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_WILDCARD;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_ZONE;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_CNAME_COEXIST;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_CNAME_TO_NONEMPTY;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_DNAME_NS;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_DUP_RRSET;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_FIND_ZONE;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_LOAD;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_NO_NSEC3PARAM;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_OUT_OF_ZONE;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_SINGLETON;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_WILDCARD_DNAME;
extern const isc::log::MessageID DATASRC_MEMORY_MEM_WILDCARD_NS;

} // namespace memory
} // namespace datasrc
} // namespace isc

#endif // MEMORY_MESSAGES_H
