// File created from ../../../src/lib/dhcpsrv/dhcpsrv_messages.mes on Fri Jun 07 2013 10:17

#ifndef DHCPSRV_MESSAGES_H
#define DHCPSRV_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace dhcp {

extern const isc::log::MessageID DHCPSRV_ADDRESS4_ALLOC_ERROR;
extern const isc::log::MessageID DHCPSRV_ADDRESS4_ALLOC_FAIL;
extern const isc::log::MessageID DHCPSRV_ADDRESS6_ALLOC_ERROR;
extern const isc::log::MessageID DHCPSRV_ADDRESS6_ALLOC_FAIL;
extern const isc::log::MessageID DHCPSRV_CFGMGR_ADD_SUBNET4;
extern const isc::log::MessageID DHCPSRV_CFGMGR_ADD_SUBNET6;
extern const isc::log::MessageID DHCPSRV_CFGMGR_DELETE_SUBNET4;
extern const isc::log::MessageID DHCPSRV_CFGMGR_DELETE_SUBNET6;
extern const isc::log::MessageID DHCPSRV_CFGMGR_NO_SUBNET4;
extern const isc::log::MessageID DHCPSRV_CFGMGR_NO_SUBNET6;
extern const isc::log::MessageID DHCPSRV_CFGMGR_ONLY_SUBNET4;
extern const isc::log::MessageID DHCPSRV_CFGMGR_ONLY_SUBNET6;
extern const isc::log::MessageID DHCPSRV_CFGMGR_SUBNET4;
extern const isc::log::MessageID DHCPSRV_CFGMGR_SUBNET6;
extern const isc::log::MessageID DHCPSRV_CFGMGR_SUBNET6_IFACE;
extern const isc::log::MessageID DHCPSRV_CLOSE_DB;
extern const isc::log::MessageID DHCPSRV_INVALID_ACCESS;
extern const isc::log::MessageID DHCPSRV_MEMFILE_ADD_ADDR4;
extern const isc::log::MessageID DHCPSRV_MEMFILE_ADD_ADDR6;
extern const isc::log::MessageID DHCPSRV_MEMFILE_COMMIT;
extern const isc::log::MessageID DHCPSRV_MEMFILE_DB;
extern const isc::log::MessageID DHCPSRV_MEMFILE_DELETE_ADDR;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_ADDR4;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_ADDR6;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_CLIENTID;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_HWADDR;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_IAID_DUID;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_IAID_SUBID_DUID;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_SUBID_CLIENTID;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_SUBID_HWADDR;
extern const isc::log::MessageID DHCPSRV_MEMFILE_GET_VERSION;
extern const isc::log::MessageID DHCPSRV_MEMFILE_ROLLBACK;
extern const isc::log::MessageID DHCPSRV_MEMFILE_UPDATE_ADDR4;
extern const isc::log::MessageID DHCPSRV_MEMFILE_UPDATE_ADDR6;
extern const isc::log::MessageID DHCPSRV_MEMFILE_WARNING;
extern const isc::log::MessageID DHCPSRV_MYSQL_ADD_ADDR4;
extern const isc::log::MessageID DHCPSRV_MYSQL_ADD_ADDR6;
extern const isc::log::MessageID DHCPSRV_MYSQL_COMMIT;
extern const isc::log::MessageID DHCPSRV_MYSQL_DB;
extern const isc::log::MessageID DHCPSRV_MYSQL_DELETE_ADDR;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_ADDR4;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_ADDR6;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_CLIENTID;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_HWADDR;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_IAID_DUID;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_IAID_SUBID_DUID;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_SUBID_CLIENTID;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_SUBID_HWADDR;
extern const isc::log::MessageID DHCPSRV_MYSQL_GET_VERSION;
extern const isc::log::MessageID DHCPSRV_MYSQL_ROLLBACK;
extern const isc::log::MessageID DHCPSRV_MYSQL_UPDATE_ADDR4;
extern const isc::log::MessageID DHCPSRV_MYSQL_UPDATE_ADDR6;
extern const isc::log::MessageID DHCPSRV_NOTYPE_DB;
extern const isc::log::MessageID DHCPSRV_UNEXPECTED_NAME;
extern const isc::log::MessageID DHCPSRV_UNKNOWN_DB;

} // namespace dhcp
} // namespace isc

#endif // DHCPSRV_MESSAGES_H
