// File created from ../../../src/lib/cache/cache_messages.mes on Fri Jun 07 2013 10:16

#ifndef CACHE_MESSAGES_H
#define CACHE_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace cache {

extern const isc::log::MessageID CACHE_ENTRY_MISSING_RRSET;
extern const isc::log::MessageID CACHE_LOCALZONE_FOUND;
extern const isc::log::MessageID CACHE_LOCALZONE_UNKNOWN;
extern const isc::log::MessageID CACHE_LOCALZONE_UPDATE;
extern const isc::log::MessageID CACHE_MESSAGES_DEINIT;
extern const isc::log::MessageID CACHE_MESSAGES_EXPIRED;
extern const isc::log::MessageID CACHE_MESSAGES_FOUND;
extern const isc::log::MessageID CACHE_MESSAGES_INIT;
extern const isc::log::MessageID CACHE_MESSAGES_REMOVE;
extern const isc::log::MessageID CACHE_MESSAGES_UNCACHEABLE;
extern const isc::log::MessageID CACHE_MESSAGES_UNKNOWN;
extern const isc::log::MessageID CACHE_MESSAGES_UPDATE;
extern const isc::log::MessageID CACHE_RESOLVER_DEEPEST;
extern const isc::log::MessageID CACHE_RESOLVER_INIT;
extern const isc::log::MessageID CACHE_RESOLVER_INIT_INFO;
extern const isc::log::MessageID CACHE_RESOLVER_LOCAL_MSG;
extern const isc::log::MessageID CACHE_RESOLVER_LOCAL_RRSET;
extern const isc::log::MessageID CACHE_RESOLVER_LOOKUP_MSG;
extern const isc::log::MessageID CACHE_RESOLVER_LOOKUP_RRSET;
extern const isc::log::MessageID CACHE_RESOLVER_NO_QUESTION;
extern const isc::log::MessageID CACHE_RESOLVER_UNKNOWN_CLASS_MSG;
extern const isc::log::MessageID CACHE_RESOLVER_UNKNOWN_CLASS_RRSET;
extern const isc::log::MessageID CACHE_RESOLVER_UPDATE_MSG;
extern const isc::log::MessageID CACHE_RESOLVER_UPDATE_RRSET;
extern const isc::log::MessageID CACHE_RESOLVER_UPDATE_UNKNOWN_CLASS_MSG;
extern const isc::log::MessageID CACHE_RESOLVER_UPDATE_UNKNOWN_CLASS_RRSET;
extern const isc::log::MessageID CACHE_RRSET_EXPIRED;
extern const isc::log::MessageID CACHE_RRSET_INIT;
extern const isc::log::MessageID CACHE_RRSET_LOOKUP;
extern const isc::log::MessageID CACHE_RRSET_NOT_FOUND;
extern const isc::log::MessageID CACHE_RRSET_REMOVE_OLD;
extern const isc::log::MessageID CACHE_RRSET_UNTRUSTED;
extern const isc::log::MessageID CACHE_RRSET_UPDATE;

} // namespace cache
} // namespace isc

#endif // CACHE_MESSAGES_H
