// File created from ../../../src/lib/cc/cc_messages.mes on Fri Jun 07 2013 10:15

#ifndef CC_MESSAGES_H
#define CC_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace cc {

extern const isc::log::MessageID CC_ASYNC_READ_FAILED;
extern const isc::log::MessageID CC_CONN_ERROR;
extern const isc::log::MessageID CC_DISCONNECT;
extern const isc::log::MessageID CC_ESTABLISH;
extern const isc::log::MessageID CC_ESTABLISHED;
extern const isc::log::MessageID CC_GROUP_RECEIVE;
extern const isc::log::MessageID CC_GROUP_RECEIVED;
extern const isc::log::MessageID CC_GROUP_SEND;
extern const isc::log::MessageID CC_INVALID_LENGTHS;
extern const isc::log::MessageID CC_LENGTH_NOT_READY;
extern const isc::log::MessageID CC_LNAME_RECEIVED;
extern const isc::log::MessageID CC_NO_MESSAGE;
extern const isc::log::MessageID CC_NO_MSGQ;
extern const isc::log::MessageID CC_READ_ERROR;
extern const isc::log::MessageID CC_READ_EXCEPTION;
extern const isc::log::MessageID CC_REPLY;
extern const isc::log::MessageID CC_SET_TIMEOUT;
extern const isc::log::MessageID CC_START_READ;
extern const isc::log::MessageID CC_SUBSCRIBE;
extern const isc::log::MessageID CC_TIMEOUT;
extern const isc::log::MessageID CC_UNSUBSCRIBE;
extern const isc::log::MessageID CC_WRITE_ERROR;
extern const isc::log::MessageID CC_ZERO_LENGTH;

} // namespace cc
} // namespace isc

#endif // CC_MESSAGES_H
