// File created from ../../../src/lib/resolve/resolve_messages.mes on Fri Jun 07 2013 10:16

#ifndef RESOLVE_MESSAGES_H
#define RESOLVE_MESSAGES_H

#include <log/message_types.h>

namespace isc {
namespace resolve {

extern const isc::log::MessageID RESLIB_ANSWER;
extern const isc::log::MessageID RESLIB_CNAME;
extern const isc::log::MessageID RESLIB_DEEPEST;
extern const isc::log::MessageID RESLIB_EMPTY_RESPONSE;
extern const isc::log::MessageID RESLIB_ERROR_RESPONSE;
extern const isc::log::MessageID RESLIB_EXTRADATA_RESPONSE;
extern const isc::log::MessageID RESLIB_FOLLOW_CNAME;
extern const isc::log::MessageID RESLIB_INVALID_NAMECLASS_RESPONSE;
extern const isc::log::MessageID RESLIB_INVALID_QNAME_RESPONSE;
extern const isc::log::MessageID RESLIB_INVALID_TYPE_RESPONSE;
extern const isc::log::MessageID RESLIB_LONG_CHAIN;
extern const isc::log::MessageID RESLIB_MULTIPLE_CLASS_RESPONSE;
extern const isc::log::MessageID RESLIB_NOTSINGLE_RESPONSE;
extern const isc::log::MessageID RESLIB_NOT_ONE_QNAME_RESPONSE;
extern const isc::log::MessageID RESLIB_NOT_RESPONSE;
extern const isc::log::MessageID RESLIB_NO_NS_RRSET;
extern const isc::log::MessageID RESLIB_NSAS_LOOKUP;
extern const isc::log::MessageID RESLIB_NXDOM_NXRR;
extern const isc::log::MessageID RESLIB_OPCODE_RESPONSE;
extern const isc::log::MessageID RESLIB_PROTOCOL;
extern const isc::log::MessageID RESLIB_PROTOCOL_RETRY;
extern const isc::log::MessageID RESLIB_RCODE_RETURNED;
extern const isc::log::MessageID RESLIB_RECQ_CACHE_FIND;
extern const isc::log::MessageID RESLIB_RECQ_CACHE_NO_FIND;
extern const isc::log::MessageID RESLIB_REFERRAL;
extern const isc::log::MessageID RESLIB_REFER_ZONE;
extern const isc::log::MessageID RESLIB_RESOLVE;
extern const isc::log::MessageID RESLIB_RRSET_FOUND;
extern const isc::log::MessageID RESLIB_RTT;
extern const isc::log::MessageID RESLIB_RUNQ_CACHE_FIND;
extern const isc::log::MessageID RESLIB_RUNQ_CACHE_LOOKUP;
extern const isc::log::MessageID RESLIB_RUNQ_FAIL;
extern const isc::log::MessageID RESLIB_RUNQ_SUCCESS;
extern const isc::log::MessageID RESLIB_TCP_TRUNCATED;
extern const isc::log::MessageID RESLIB_TEST_SERVER;
extern const isc::log::MessageID RESLIB_TEST_UPSTREAM;
extern const isc::log::MessageID RESLIB_TIMEOUT;
extern const isc::log::MessageID RESLIB_TIMEOUT_RETRY;
extern const isc::log::MessageID RESLIB_TRUNCATED;
extern const isc::log::MessageID RESLIB_UPSTREAM;

} // namespace resolve
} // namespace isc

#endif // RESOLVE_MESSAGES_H
